Subject: My post doesn't appear on the help-gnu-emacs mailing list

From: Evan Aad <[email-masked]>
Date: Fri, 4 Nov 2022 09:18:39 +0200

I posted a question to the help-gnu-emacs mailing list via email more
than 1h15m ago. My post doesn't appear in that mailing list's
archives, even though they are supposedly refreshed every 15 minutes
if they have new messages.